Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1203575 - KDE5 unable to use input methods in ibus-1.5.10
Summary: KDE5 unable to use input methods in ibus-1.5.10
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtbase
Version: 22
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-19 07:37 UTC by Parag Nemade
Modified: 2015-04-21 19:11 UTC (History)
10 users (show)

Fixed In Version: qt5-qtbase-5.4.1-9.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 19:11:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Parag Nemade 2015-03-19 07:37:32 UTC
Description of problem:
I have updated my existing F21 to current F22-testing packages and found that I am not able to use input methods in kwrite and kate.

Version-Release number of selected component (if applicable):
imsettings-qt-1.6.8-3.fc22.x86_64
kwrite-14.12.3-1.fc22.x86_64


How reproducible:
always

Steps to Reproduce:
1. try some input engines like m17n:hi:inscript
2.
3.

Actual results:
showing latin characters

Expected results:
should show correct mapped characters in input method.

Additional info:
Please ask if any more information needed.

Comment 1 fujiwara 2015-03-24 10:18:46 UTC
The latest kwrite uses QT5.

When I log into KDE5 with VM box, the $DISPLAY=":1" and qt5 ibus module fails to get the display number.

Submitted the patch.
https://codereview.qt-project.org/#/c/109285/

Comment 2 fujiwara 2015-03-30 02:22:24 UTC
The patch is upstreamed in qtbase 5.5.
I hope it's back-ported to Fedora 22.

Comment 4 Rex Dieter 2015-03-30 14:34:20 UTC
I'll take care of pulling it in to our packaging

Comment 5 Rex Dieter 2015-04-10 14:20:35 UTC
* Mon Mar 30 2015 Rex Dieter <rdieter@fedoraproject.org> 5.4.1-5
- unable to use input methods in ibus-1.5.10 (#1203575)

Comment 6 Fedora Update System 2015-04-10 14:29:54 UTC
qt5-qtbase-5.4.1-7.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-5410/qt5-qtbase-5.4.1-7.fc22

Comment 7 Fedora Update System 2015-04-20 13:16:58 UTC
qt5-qtbase-5.4.1-9.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-6114/qt5-qtbase-5.4.1-9.fc22

Comment 8 Fedora Update System 2015-04-20 13:17:04 UTC
qt5-qtbase-5.4.1-9.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-6114/qt5-qtbase-5.4.1-9.fc22

Comment 9 Fedora Update System 2015-04-21 19:11:30 UTC
qt5-qtbase-5.4.1-9.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.